package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWljgtj;
import org.apache.ibatis.annotations.Param;

/**
 * 网络监测统计Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcWljgtjMapper 
{
    /**
     * 查询网络监测统计
     * 
     * @param id 网络监测统计主键
     * @return 网络监测统计
     */
    public TcWljgtj selectTcWljgtjById(Long id);

    /**
     * 查询网络监测统计列表
     * 
     * @param tcWljgtj 网络监测统计
     * @return 网络监测统计集合
     */
    public List<TcWljgtj> selectTcWljgtjList(TcWljgtj tcWljgtj);

    /**
     * 新增网络监测统计
     * 
     * @param tcWljgtj 网络监测统计
     * @return 结果
     */
    public int insertTcWljgtj(TcWljgtj tcWljgtj);

    /**
     * 修改网络监测统计
     * 
     * @param tcWljgtj 网络监测统计
     * @return 结果
     */
    public int updateTcWljgtj(TcWljgtj tcWljgtj);

    /**
     * 删除网络监测统计
     * 
     * @param id 网络监测统计主键
     * @return 结果
     */
    public int deleteTcWljgtjById(Long id);

    /**
     * 批量删除网络监测统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcWljgtjByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
